# Apus Drones - Mobile

## Desenvolvimento

Para criar a sua variável de ambiente do backend você deve criar um arquivo de launch.json no seu VSCode com a seguinte configuração:

```
{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Flutter",
      "request": "launch",
      "type": "dart",
      "args": ["--dart-define", "BASE_URL=localhost:8080"]
    }
  ]
}
```

Dependendo do ambiente, pode ser necessário definir BASE_URL com o IP do computador, que pode ser obtido com o comando `ipconfig` no Windows ou `ip addr` no Linux.

Para executar por linha de comando: `flutter run --dart-define BASE_URL=NOME_OU_IP:PORTA`

Para gerar o build: `flutter build [apk|appbundle|ipa] --dart-define BASE_URL=NOME_OU_IP:PORTA`

**Atenção**: Não há configuração padrão definida, então é obrigatória a definição desta variável de ambiente.