enum UserType {
  from,
  PILOT,
  CUSTOMER,
  PARTNER,
}

extension UserTypeIndex on UserType {
  operator [](String key) => (name) {
        switch (name) {
          case 'PILOT':
            return UserType.PILOT;
          case 'CUSTOMER':
            return UserType.CUSTOMER;
          case 'PARTNER':
            return UserType.PARTNER;
          default:
            throw RangeError("enum UserType contains no value '$name'");
        }
      }(key);
}
