import 'dart:convert';
import 'dart:io';

import 'package:apus_drones_mobile/assets/config.dart';
import 'package:apus_drones_mobile/models/BasicProfileModel.dart';
import 'package:apus_drones_mobile/utils/httpHeaders.dart';

import 'package:http/http.dart' as http;

class BasicProfileService {
  Future<BasicProfileModel> getBasicProfile(int id) async {
    http.Response response = await http.get(
      Uri.parse('${Config.apiURL}/user/profile'),
      headers: await getHttpHeaders(),
    );
    var rsBody = json.decode(response.body);
    BasicProfileModel customer = BasicProfileModel.fromJson(rsBody);
    return customer;
  }
}
