import 'package:apus_drones_mobile/constants/UserType.dart';
import 'package:apus_drones_mobile/screens/CustomerProfile.dart';
import 'package:apus_drones_mobile/screens/PartnerProfile.dart';
import 'package:flutter/material.dart';

Widget getRoleProfileScreen(UserType role) {
  switch (role) {
    case UserType.CUSTOMER:
      return CustomerProfile();
    case UserType.PARTNER:
      return PartnerProfile();
    case UserType.PILOT:
      throw new Exception('Não há telas para o piloto ainda');
    default:
      throw new Exception('Tipo de usuário desconhecido');
  }
}
